## getstream 20070419

=== Makefile ===
CC=gcc
CFLAGS=-O0 -g -Wall -I/usr/include/glib-2.0/ -I/usr/lib/glib-2.0/include/
LDFLAGS=-levent -lglib-2.0 -lpthread
OBJ=getstream.o fe.o crc32.o \
	sap.o stream.o demux.o stream_udp.o \
	stream_rtp.o stream_http.o stream_pipe.o \
	libhttp.o libconf.o config.o util.o csa.o logging.o

getstream: $(OBJ)
	gcc $(LDFLAGS) -o $@ $+

simplecheck: simplecheck.c
	gcc -o $@ $+

clean:
	-rm -f $(OBJ) getstream core vgcore.pid* core.*

distclean: clean
	-rm -rf CVS .cvsignore

## getstream 20081204

=== Makefile ===
CC=gcc
CFLAGS=-O0 -g -Wall  -I. -I/usr/include/glib-2.0/ -I/usr/lib/glib-2.0/include/
LDFLAGS=-levent -lglib-2.0 -lpthread
OBJ-getstream=getstream.o fe.o crc32.o \
	libhttp.o libconf.o config.o util.o logging.o \
	stream.o input.o \
	output.o output_http.o output_udp.o output_pipe.o output_rtp.o \
	dmx.o dvr.o \
	pat.o pmt.o psi.o \
	simplebuffer.o sap.o \
	socket.o

OBJ-tsdecode=tsdecode.o psi.o crc32.o 

all: getstream tsdecode

tsdecode: $(OBJ-tsdecode)
	gcc $(LDFLAGS) -o $@ $+

getstream: $(OBJ-getstream)
	gcc $(LDFLAGS) -o $@ $+

clean:
	-rm -f $(OBJ-getstream) $(OBJ-tsdecode)
	-rm -f getstream tsdecode 
	-rm -f core vgcore.pid* core.* gmon.out

distclean: clean
	-rm -rf CVS .cvsignore

## getstream 20100616

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,10 @@
 CC=gcc
-CFLAGS=-O0 -g -Wall  -I. -I/usr/include/glib-2.0/ -I/usr/lib/glib-2.0/include/
+CFLAGS=-Wall  -I. -I/usr/include/glib-2.0/ -I/usr/lib/glib-2.0/include/
+ifdef OPT
+CFLAGS+=-O2
+else
+CFLAGS+=-O0 -g
+endif
 LDFLAGS=-levent -lglib-2.0 -lpthread
 OBJ-getstream=getstream.o fe.o crc32.o \
 	libhttp.o libconf.o config.o util.o logging.o \

=== debian/changelog ===
getstream (20100616-2build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:14:30 +0000

getstream (20100616-2) unstable; urgency=medium

  * QA upload.
  * Apply "wrap-and-sort -abst".
  * debian/control: Use Priority: optional.
  * debian/control: Use debhelper compat 13.
  * debian/control: Update Vcs-* and Standards-Version.
  * debian/rules: use dh sequencer.
  * debian/patches/0001-pkgconfig: Make it suitable for cross compilation.
    (Closes: #929345)

 -- Boyuan Yang <byang@debian.org>  Fri, 12 Feb 2021 13:20:39 -0500

getstream (20100616-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #666062)
  * Set maintainer to Debian QA Group. (see #744999)
  * Apply patch from Jari Aalto to update to packaging format 3.0
    (Closes: #664335)
  * Apply upstream fix for linking with --as-needed. (Closes: #638561)

 -- Adrian Bunk <bunk@debian.org>  Sat, 21 Jan 2017 21:32:23 +0200

getstream (20081204-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Including individual glib headers no longer supported":
    add debian/patches/glib-single-include.dpatch from Michael Biebl:
    don't include individual headers.
    (Closes: #665530)

 -- gregor herrmann <gregoa@debian.org>  Sat, 18 May 2013 19:54:38 +0200

getstream (20081204-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use pkg-config to get compiler flags for glib-2.0. Thanks to Steve
    Langasek <steve.langasek@canonical.com> for the patch.
    (Closes: #622278, LP: #749147)
  * Add dpatch targets in debian/rules to apply the patches during build.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 11 Dec 2011 12:17:55 +0100

getstream (20081204-1) unstable; urgency=low

  * New upstream release (LP: #365658)
  * Added a patch to prevent a memleak in libhttp.c <danchev@spnet.net>

 -- Herve Rousseau <herve@moulticast.net>  Fri, 21 Aug 2009 08:26:29 +0200

getstream (20080426-1) unstable; urgency=low

  * New upstream release (Closes: #481771)

 -- Herve Rousseau <herve@moulticast.net>  Fri, 01 Aug 2008 09:01:51 +0200

getstream (20070419-1) unstable; urgency=low

  * Initial release (Closes: #423396)

 -- Herve Rousseau <herve@moulticast.net>  Thu, 31 May 2007 17:23:59 +0200

=== debian/control ===
Source: getstream
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libevent-dev,
 libglib2.0-dev,
 pkg-config,
Standards-Version: 4.5.1
Homepage: http://silicon-verl.de/home/flo/projects/streaming/
Vcs-Git: https://salsa.debian.org/debian/getstream.git
Vcs-Browser: https://salsa.debian.org/debian/getstream

Package: getstream
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: DVB streaming application
 getstream is a small utility which is able to pull a MPEG
 transport stream from a DVB card and stream it to the local
 area network. It is written to replace VLC, and uses much less
 CPU and memory than VLC.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDTOOLS = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk


%:
	dh $@
